/**
 * Cakebot - A fun and helpful Discord bot
 * Copyright (C) 2021-current year  Reece Dunham
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
import chalk from "chalk"

// all backslashes need to be escaped
// this should look better in consoles then IDEs
export const banner = chalk.green(`
  _____      _        _           _   
 / ____|    | |      | |         | |  
| |     __ _| | _____| |__   ___ | |_ 
| |    / __ | |/ / _ \\ '_ \\ / _ \\| __|
| |___| (_| |   <  __/ |_) | (_) | |_ 
 \\_____\\__,_|_|\\_\\___|_.__/ \\___/ \\__|

         https://cakebot.club
    Under the GNU AGPL-3.0 License.
`)

/**
 * Makes an error message for Discord.
 * @param error The error message.
 * @returns The text to send.
 */
export const makeError = (error: string): string =>
    `:no_entry: | **Error**: ${error}`
